<?php
/*
Project Name: hamaraIPCL
File Name: routers.php
Description: The file contains all the routers for URLs.

*/

//Route prototype
//new Route('view path', 'Controller Name', 'Action Name');

$router = new Router();

//For Admin Panel 
$router->registerRoute(new Route('admin/index', 'admin', 'index'));
$router->registerRoute(new Route('admin', 'admin', 'index'));
$router->registerRoute(new Route('admin/login', 'admin', 'index'));
$router->registerRoute(new Route('admin/authentication', 'admin', 'authentication'));
//$router->registerRoute(new Route('index.php', 'admin', 'index'));
//$router->registerRoute(new Route('', 'admin', 'index'));

$router->registerRoute(new Route('sections/index', 'sections', 'index'));
$router->registerRoute(new Route('sections', 'sections', 'index'));

$router->registerRoute(new Route('subsections/index', 'subsections', 'index'));
$router->registerRoute(new Route('subsections', 'subsections', 'index'));


$router->registerRoute(new Route('pages/index', 'pages', 'index'));
$router->registerRoute(new Route('pages', 'pages', 'index'));

$router->registerRoute(new Route('singlepages/index', 'singlepages', 'index'));
$router->registerRoute(new Route('singlepages', 'singlepages', 'index'));

$router->registerRoute(new Route('updates/index', 'updates', 'index'));
$router->registerRoute(new Route('updates', 'updates', 'index'));

$router->registerRoute(new Route('homebanners/index', 'homebanners', 'index'));
$router->registerRoute(new Route('homebanners', 'homebanners', 'index'));

$router->registerRoute(new Route('downloads/index', 'downloads', 'index'));
$router->registerRoute(new Route('downloads', 'downloads', 'index'));

$router->registerRoute(new Route('galleries/index', 'galleries', 'index'));
$router->registerRoute(new Route('galleries', 'galleries', 'index'));

$router->registerRoute(new Route('events/index', 'events', 'index'));
$router->registerRoute(new Route('events', 'events', 'index'));

$router->registerRoute(new Route('members/index', 'members', 'index'));
$router->registerRoute(new Route('members', 'members', 'index'));

$router->registerRoute(new Route('home/index', 'home', 'index'));
$router->registerRoute(new Route('home', 'home', 'index'));
$router->registerRoute(new Route('index.php', 'home', 'index'));

$router->registerRoute(new Route('expquotes/index', 'expquotes', 'index'));
$router->registerRoute(new Route('expquotes', 'expquotes', 'index'));

$router->registerRoute(new Route('banners/index', 'banners', 'index'));
$router->registerRoute(new Route('banners', 'banners', 'index'));

$router->registerRoute(new Route('cities/index', 'cities', 'index'));
$router->registerRoute(new Route('cities', 'cities', 'index'));

$router->registerRoute(new Route('gams/index', 'gams', 'index'));
$router->registerRoute(new Route('gams', 'gams', 'index'));

$router->registerRoute(new Route('countries/index', 'countries', 'index'));
$router->registerRoute(new Route('countries', 'countries', 'index'));

$router->registerRoute(new Route('complexes/index', 'complexes', 'index'));
$router->registerRoute(new Route('complexes', 'complexes', 'index'));

$router->registerRoute(new Route('plants/index', 'plants', 'index'));
$router->registerRoute(new Route('plants', 'plants', 'index'));

$router->registerRoute(new Route('departments/index', 'departments', 'index'));
$router->registerRoute(new Route('departments', 'departments', 'index'));

$router->registerRoute(new Route('', 'frontpages', 'index'));
?>